org.eclipse.jdt.ui.text.java

## Interface IJavadocCompletionProcessor

Deprecated.
As of 3.2, replaced by `org.eclipse.jdt.ui.javaCompletionProposalComputer` extension-point.

    @Deprecated
    public interface IJavadocCompletionProcessor

A Javadoc processor proposes completions and computes context information for a particular content type.

This interface must be implemented by clients who extend the `org.eclipse.jdt.ui.javadocCompletionProcessor` extension-point

.

Since:
  2.1

### Field Summary

Fields
`static int` `RESTRICT_TO_MATCHING_CASE` Deprecated. Flag used by `computeCompletionProposals`.

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`IJavaCompletionProposal[]` `computeCompletionProposals(ICompilationUnit cu, int offset, int length, int flags)` Deprecated. Returns the completion proposals based on the specified location within the compilation unit.
`IContextInformation[]` `computeContextInformation(ICompilationUnit cu, int offset)` Deprecated. Returns information about possible contexts based on the specified location within the compilation unit.
`String` `getErrorMessage()` Deprecated. Returns the reason why this completion processor was unable to produce a completion proposals or context information.

### Field Detail

#### RESTRICT_TO_MATCHING_CASE

    static final int RESTRICT_TO_MATCHING_CASE

Deprecated.
Flag used by `computeCompletionProposals`. Specifies that only proposals should be returned that match the case of the prefix in the code (value: `1`).

See Also:
  Constant Field Values

### Method Detail

#### computeContextInformation

    IContextInformation[] computeContextInformation(ICompilationUnit cu,
                                                    int offset)

Deprecated.
Returns information about possible contexts based on the specified location within the compilation unit.

Parameters:
  `cu` - the working copy of the compilation unit which is used to compute the possible contexts
  `offset` - an offset within the compilation unit for which context information should be computed
Returns:
  an array of context information objects or `null` if no context could be found

#### computeCompletionProposals

    IJavaCompletionProposal[] computeCompletionProposals(ICompilationUnit cu,
                                                         int offset,
                                                         int length,
                                                         int flags)

Deprecated.
Returns the completion proposals based on the specified location within the compilation unit.

Parameters:
  `cu` - the working copy of the compilation unit in which the completion request has been called.
  `offset` - an offset within the compilation unit for which completion proposals should be computed
  `length` - the length of the current selection.
  `flags` - settings for the code assist. Flags as defined in this interface, e.g. `RESTRICT_TO_MATCHING_CASE`.
Returns:
  an array of completion proposals or `null` if no proposals could be found

#### getErrorMessage

    String getErrorMessage()

Deprecated.
Returns the reason why this completion processor was unable to produce a completion proposals or context information.

Returns:
  an error message or `null` if no error occurred